#! /usr/bin/env bash

CONF_PATH=`dirname $0`

if [ -z "$BUILD_DIR_64BIT" ]; then
    BUILD_DIR_64BIT=build64
fi

if [ -z "$NO_REBUILD_I386" ]; then
    ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Platform.Compat.i386/x86_64/19.08 > "$CONF_PATH/i386.tar" || exit 1
fi
if [ -z "$2" ]; then
    if [ -z "$NO_PLATFORM" ]; then
        if [ -z "$NO_REBUILD_LOCALE" ]; then
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Platform.Locale/x86_64/19.08 > "$CONF_PATH/locale.tar" || exit 2
        fi
        flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 "$BUILD_DIR_64BIT" "$CONF_PATH/RawPlatform-x86_64.yaml" || exit 3
    fi
    if [ -z "$NO_SDK" ]; then
        if [ -z "$NO_REBUILD_LOCALE" ]; then
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Sdk.Locale/x86_64/19.08 > "$CONF_PATH/locale.tar" || exit 4
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Sdk.Docs/x86_64/19.08 > "$CONF_PATH/docs.tar" || exit 5
        fi
        flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 "$BUILD_DIR_64BIT" "$CONF_PATH/RawSdk-x86_64.yaml" || exit 6
    fi
else
    if [ -z "$NO_PLATFORM" ]; then
        if [ -z "$NO_REBUILD_LOCALE" ]; then
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Platform.Locale/x86_64/19.08 > "$CONF_PATH/locale.tar" || exit 2
        fi
        flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" "$BUILD_DIR_64BIT" "$CONF_PATH/RawPlatform-x86_64.yaml" || exit 3
    fi
    if [ -z "$NO_SDK" ]; then
        if [ -z "$NO_REBUILD_LOCALE" ]; then
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Sdk.Locale/x86_64/19.08 > "$CONF_PATH/locale.tar" || exit 4
            ostree export --repo ~/.local/share/flatpak/repo runtime/org.freedesktop.Sdk.Docs/x86_64/19.08 > "$CONF_PATH/docs.tar" || exit 5
        fi
        flatpak-builder $1 --rebuild-on-sdk-change --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$2" "$BUILD_DIR_64BIT" "$CONF_PATH/RawSdk-x86_64.yaml" || exit 6
    fi
fi
